package com.candymanlab.android.phonenumberane.functionclasses;

import android.app.Activity;
import android.content.Context;
import android.telephony.TelephonyManager;

import com.adobe.fre.FREContext;
import com.adobe.fre.FREFunction;
import com.adobe.fre.FREObject;
import com.candymanlab.android.phonenumberane.extensions.PhoneNumberExtensionContext;

public class PhoneNumberInitFunction implements FREFunction {

	@Override
	public FREObject call(FREContext context, FREObject[] passedArgs) {
		PhoneNumberExtensionContext ctx = (PhoneNumberExtensionContext) context;
		Activity activity = ctx.getActivity();
		ctx.telManager = (TelephonyManager) activity.getSystemService(Context.TELEPHONY_SERVICE);
		return null;
	}

}
